Name:       owncloud-client
Summary:    The ownCloud Client
Version:    1.7.1
Release:    %mkrel 2
Group:      Network/File transfer
License:    GPLv2+
URL:        http://owncloud.org/sync-clients/
Source0:    https://download.owncloud.com/desktop/stable/mirall-%{version}.tar.xz
#------------------------------------------------
BuildRequires: cmake
BuildRequires: iniparser-devel 
BuildRequires: doxygen
BuildRequires: check-devel
BuildRequires: libsmbclient-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}neon-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}neon-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}qtkeychain-devel

#------------------------------------------------
Provides:      ocsync = %{version}-%{release}

%description
This is the client for ownCloud
ownCloud - Your Cloud, Your Data, Your Way!
The ownCloud client is based on Mirall.


%files 
%{_bindir}/owncloud
%{_bindir}/owncloudcmd
%{_sysconfdir}/ownCloud/sync-exclude.lst
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/applications/owncloud.desktop
%dir %{_datadir}/owncloud
%dir %{_datadir}/owncloud/i18n
%{_datadir}/owncloud/i18n/*.qm

%{_libdir}/libowncloudsync.so.1.*
%{_libdir}/libowncloudsync.so.0
%{_libdir}/libocsync.so.0*

#------------------------------------------------------------------------------

%package devel
Summary:    Header files, libraries and development documentation for %{name}
Group:      Development/Libraries
Requires:   %{name} = %{version}
Provides:   %{name}-devel = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%files devel
%{_libdir}/libocsync.so
%{_libdir}/libowncloudsync.so
%{_includedir}/httpbf.h
%{_includedir}/owncloudsync


# Doc package
%package -n %{name}-doc
Group:		Documentation
Summary:	Documentation files for %name
BuildArch: noarch
Requires: %name
%description -n %{name}-doc
Documentation files for %name


%files doc


#------------------------------------------------------------------------------
%prep
%setup -qn mirall-%{version}
%apply_patches

%build

%cmake_qt4 -DCSYNC_INCLUDE_PATH=%{_includedir}/ocsync
%make owncloud
%make doc

%install
%makeinstall_std -C build
find %{buildroot}%{_libdir} -name "*.a" -delete

#we dont have nautilus in pclos because fuck gnome3 and systemd
rm -f %{buildroot}/%{_datadir}/nautilus-python/extensions/syncstate.py


mv %{buildroot}%{_libdir}/owncloud/* %{buildroot}%{_libdir}
rmdir %{buildroot}%{_libdir}/owncloud


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="X-SuSE-SyncUtility" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Sun Mar 01 2015 bb <bb> 1.7.1-2pclos2015
- update

* Mon Jan 05 2015 bb <bb> 1.7.1-1pclos2015
- update
- move desktopfile to internet

* Sat Nov 08 2014 bb <bb> 1.7.0-1pclos2014
- update

